Skip to main content
POST
/
kalshi
/
cancel
Kalshi Cancel
curl --request POST \
  --url https://pm-t1.bxingupdate.com/bvapi/kalshi/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletAddress": "<string>",
  "venue": "kalshi",
  "orderId": "<string>",
  "venueOrderId": "<string>",
  "reason": "<string>"
}
'
{
  "canceled": [
    "<string>"
  ],
  "notCanceled": {},
  "syncedToMkOrder": true,
  "statusBefore": "<string>",
  "statusAfter": "<string>",
  "venue": "<string>"
}
Cancels an open Kalshi order by local orderId or upstream venueOrderId, and updates the record in the platform database to CANCELED.

Request fields

FieldTypeRequiredDescription
venuestringNodefault kalshi
orderIdstringConditionallocal order id
venueOrderIdstringConditionalupstream order id
walletAddressstringYesSolana wallet
reasonstringNocancel reason
orderId and venueOrderId must provide at least one.

Example

curl -X POST "https://pm-t1.bxingupdate.com/bvapi/kalshi/cancel" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "orderId": "ks_abcd1234",
    "walletAddress": "8Yj7Dfp8oS3wkt2uP12xMz9VfF7ZzBv4qfB8Zbe8vXJ1",
    "reason": "strategy exit"
  }'

Response

{
  "canceled": ["ord_1"],
  "notCanceled": {},
  "syncedToMkOrder": true,
  "statusBefore": "OPEN",
  "statusAfter": "CANCELED",
  "venue": "kalshi"
}

Authorizations

Authorization
string
header
default:YOUR_API_KEY
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
walletAddress
string
required
venue
string
default:kalshi
orderId
string
venueOrderId
string
reason
string

Response

200 - application/json

Cancel result

canceled
string[]
notCanceled
object
syncedToMkOrder
boolean
statusBefore
string
statusAfter
string
venue
string